package org.lym.pom.repository.mongo.enums;

import org.lym.pom.entity.UserNotifyEntity;
import org.shoulder.core.dictionary.model.NameAsIdDictionaryItemEnum;

/**
 * 通知内容类型
 *
 * @author lym
 * @see UserNotifyEntity#contentType
 */
public enum NotifyContentTypeEnum implements NameAsIdDictionaryItemEnum<NotifyContentTypeEnum> {

    HTML("HTML", "网页 HTML"),
    TXT("TXT", "文本 TXT"),
    TEMPLATE("TEMPLATE", "模板 TEMPLATE"),
    ;

    private final String storageName;
    private final String displayName;

    NotifyContentTypeEnum(String storageName, String displayName) {

        this.storageName = storageName;
        this.displayName = displayName;
    }

    @Override
    public String getDisplayName() {
        return displayName;
    }

    public String getStorageName() {
        return storageName;
    }
}
